<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <LinearLayout
        android:id="@+id/ll_home_module_button"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="17dp"
        android:orientation="vertical">

        <com.yidianling.home.ui.widget.HomeModuleCategoryView
            android:id="@+id/home_category_view"
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="16dp"
            android:layout_marginTop="15dp"
            android:layout_marginRight="16dp"
            android:gravity="center_horizontal|bottom"
            android:orientation="horizontal"
            android:paddingBottom="12dp">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/homeModuleButtonBannerFirst"
                android:layout_width="0dp"
                android:layout_height="84dp"
                android:layout_weight="1"
                android:background="@mipmap/home_banner_first_bg">

                <TextView
                    android:id="@+id/homeModuleButtonBannerFirstTitle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:text="心理咨询"
                    android:textColor="@color/white"
                    android:textSize="16dp"
                    android:textStyle="bold"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/homeModuleFirstDec"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="3W+师资"
                    android:layout_marginTop="2dp"
                    android:textColor="@color/white"
                    android:textSize="11dp"
                    app:layout_constraintLeft_toLeftOf="@id/homeModuleButtonBannerFirstTitle"
                    app:layout_constraintTop_toBottomOf="@id/homeModuleButtonBannerFirstTitle" />

                <com.yidianling.home.ui.view.LoopScrollAvatar
                    android:id="@+id/loop_avatar"
                    android:layout_marginTop="8dp"
                    android:visibility="visible"
                    android:src="@mipmap/home_banner_header1"
                    app:layout_constraintTop_toBottomOf="@id/homeModuleFirstDec"
                    app:layout_constraintLeft_toLeftOf="@id/homeModuleButtonBannerFirstTitle"
                    android:layout_width="45dp"
                    app:layout_constraintHorizontal_weight="1"
                    android:layout_height="20dp" />
            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/homeModuleButtonBannerFourth"
                android:layout_width="0dp"
                android:layout_height="84dp"
                android:layout_marginLeft="8dp"
                android:layout_weight="1"
                android:background="@mipmap/home_banner_test_bg">

                <TextView
                    android:id="@+id/homeModuleButtonBannerFourthTitle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:text="心理测试"
                    android:textColor="@color/white"
                    android:textSize="16dp"
                    android:textStyle="bold"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/homeModuleTestDec"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="抑郁测量"
                    android:textColor="@color/white"
                    android:layout_marginTop="2dp"
                    android:textSize="11dp"
                    app:layout_constraintLeft_toLeftOf="@id/homeModuleButtonBannerFourthTitle"
                    app:layout_constraintTop_toBottomOf="@id/homeModuleButtonBannerFourthTitle" />

            </androidx.constraintlayout.widget.ConstraintLayout>


            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/homeModuleButtonBannerThird"
                android:layout_width="0dp"
                android:layout_height="84dp"
                android:layout_marginLeft="8dp"
                android:layout_weight="1"
                android:background="@mipmap/home_banner_third_bg"
                android:gravity="center"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/homeModuleButtonBannerThirdTitle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:text="心理课堂"
                    android:textColor="@color/white"
                    android:textSize="16dp"
                    android:textStyle="bold"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/homeModuleThirdDec"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="2dp"
                    android:text="学习与成长"
                    android:textColor="@color/white"
                    android:textSize="11dp"
                    app:layout_constraintLeft_toLeftOf="@id/homeModuleButtonBannerThirdTitle"
                    app:layout_constraintTop_toBottomOf="@id/homeModuleButtonBannerThirdTitle" />


            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/homeModuleButtonBannerSecond"
                android:layout_width="0dp"
                android:layout_height="84dp"
                android:layout_weight="1"
                android:layout_marginLeft="8dp"
                android:background="@mipmap/home_banner_second_bg"
                android:gravity="center"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/homeModuleButtonBannerSecondTitle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:text="倾诉热线"
                    android:textColor="@color/white"
                    android:textSize="16dp"
                    android:textStyle="bold"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/homeModuleSecondDec"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="2dp"
                    android:text="24小时在线"
                    android:textColor="@color/white"
                    android:textSize="11dp"
                    app:layout_constraintLeft_toLeftOf="@id/homeModuleButtonBannerSecondTitle"
                    app:layout_constraintTop_toBottomOf="@id/homeModuleButtonBannerSecondTitle" />


            </androidx.constraintlayout.widget.ConstraintLayout>

        </LinearLayout>

    </LinearLayout>
</layout>
